/*
    This file is part of the 'yarec' package.
    Copyright (C) 1998  Ralf W. Stephan <stephan@tmt.de>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#include "tasks/tasks.h"
#include "snd/soundHandler.h"
#include "util/util.h"
#include "ui/uiHandler.h"

static inline void shutdown()
{
  SoundHandler_close();
  Config_close();
  UIHandler_close();
}

void Exception_fatal (const char* s)
{
  UIHandler_print_to_console (_("Fatal:"), (char*)s);
  shutdown();
  exit (1);
}

void Exception_normal (const char* s)
{
  int inv = Config_iget ("INVISIBLE");
  if (!inv)
  	UIHandler_print_to_console (_("Exit:"), (char*)s);
  shutdown();
  exit (0);
}

